<div class="modal fade" id="modalSUA" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true"  data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title" id="exampleModalLabel">
          {{!this.dataApi.SelectedconfiguracionSua.configuracionSuaId ? 'Nuevo registro' : 'Actualizar registro'}}
        </h1>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>



      <div class="modal-body">

        <form #formSua="ngForm" [formGroup]="configSuaForm">
          <input type="hidden" formControlName="configuracionSuaId" name="configuracionSuaId"
            [(ngModel)]="this.dataApi.SelectedconfiguracionSua.configuracionSuaId">
          <div class="form-group required">
            <label for="confSuaNombre" class="col-form-label">Configuración nombre</label>
            <input type="text" class="form-control" [(ngModel)]="this.dataApi.SelectedconfiguracionSua.confSuaNombre"
              name="confSuaNombre" formControlName="confSuaNombre" placeholder="Ingrese el nombre de la configuración">

            <div class="alert-danger" *ngIf="confSuaNombre.invalid && (confSuaNombre.dirty || confSuaNombre.touched)">

              <div *ngFor="let validation of user_validation_messages.confSuaNombre">
                <div style="font-size: smaller !important;"
                  *ngIf="configSuaForm.get('confSuaNombre').hasError(validation.type) && (configSuaForm.get('confSuaNombre').dirty || configSuaForm.get('confSuaNombre').touched)">
                  {{validation.message}}
                </div>
              </div>
            </div>
          </div>

          <div class="form-group required"
            *ngIf="this.dataApi.SelectedconfiguracionSua.configuracionSuaId == null; else noOwner">
            <label for="periodoTipoId" class="col-form-label">Tipo de periodo:</label>

            <select id="selectPeriodo" name="periodoTipoId" class="form-control" formControlName="periodoTipoId"
              [(ngModel)]="selectPeriodo" (change)="tipoPeriodo()" >

              <option *ngFor="let periodoTipo of periodoTipos; let index = index" [ngValue]="periodoTipo">
                {{periodoTipo.tipoPeriodoNombre}}</option>
            </select>

            <div class="alert-danger" *ngIf="periodoTipoId.invalid && (periodoTipoId.dirty || periodoTipoId.touched)">

              <div *ngFor="let validation of user_validation_messages.periodoTipoId">
                <div style="font-size: smaller !important;"
                  *ngIf="configSuaForm.get('periodoTipoId').hasError(validation.type) && (configSuaForm.get('periodoTipoId').dirty || configSuaForm.get('periodoTipoId').touched)">
                  {{validation.message}}
                </div>
              </div>
            </div>
          </div>

          <ng-template #noOwner>
            <div class="form-group required">
              <label for="periodoTipoId" class="col-form-label">Tipo de periodo:</label>

              <select disabled="disabled" id="selectPeriodo" name="periodoTipoId" class="form-control" formControlName="periodoTipoId"
                [(ngModel)]="selectPeriodo" (change)="tipoPeriodo()">

                <option *ngFor="let periodoTipo of periodoTipos; let index = index" [ngValue]="periodoTipo">
                  {{periodoTipo.tipoPeriodoNombre}}</option>
              </select>

              <div class="alert-danger" *ngIf="periodoTipoId.invalid && (periodoTipoId.dirty || periodoTipoId.touched)">

                <div *ngFor="let validation of user_validation_messages.periodoTipoId">
                  <div style="font-size: smaller !important;"
                    *ngIf="configSuaForm.get('periodoTipoId').hasError(validation.type) && (configSuaForm.get('periodoTipoId').dirty || configSuaForm.get('periodoTipoId').touched)">
                    {{validation.message}}
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </form>

        <div class="card_book">
          <div class="card">
            <div class="card-body">



              <form #formSuaNivel="ngForm" [formGroup]="configSuaNivelForm">

                <input type="hidden" formControlName="configuracionSuaNivelId" name="configuracionSuaNivelId">

                <img src="assets/ayuda.png" id="ayuda" (click)="Ayuda()">

                <div class="form-group required">
                  <label for="confSuaNNombre" class="col-form-label">Nombre:</label>
                  <input type="text" class="form-control" name="confSuaNNombre" maxlength="50"
                    formControlName="confSuaNNombre" placeholder="Ingrese el nombre de la columna"
                    [(ngModel)]="ngSuaNNombre">

                  <div class="alert-danger"
                    *ngIf="confSuaNNombre.invalid && (confSuaNNombre.dirty || confSuaNNombre.touched)">

                    <div *ngFor="let validation of user_validation_messages.confSuaNNombre">
                      <div style="font-size: smaller !important;"
                        *ngIf="configSuaNivelForm.get('confSuaNNombre').hasError(validation.type) && (configSuaNivelForm.get('confSuaNNombre').dirty || configSuaNivelForm.get('confSuaNNombre').touched)">
                        {{validation.message}}
                      </div>
                    </div>
                  </div>
                </div>
              </form>

              <form #formSuaExcel="ngForm" [formGroup]="suaExcelForm">
                <div class="form-row required">
                  <div class="form-group col-md-6">
                    <label for="excelTipoId" class="col-form-label">Archivo:</label>

                    <select id="opcionSeleccionado" name="excelTipoId" class="form-control"
                      formControlName="excelTipoId" [(ngModel)]="opcionSeleccionado" (change)="capturar()">

                      <option *ngFor="let excelTipo of excelTipos; let index = index" [ngValue]="excelTipo">
                        {{excelTipo.excelNombre}}</option>
                    </select>

                    <div class="alert-danger" *ngIf="excelTipoId.invalid && (excelTipoId.dirty || excelTipoId.touched)">

                      <div *ngFor="let validation of user_validation_messages.excelTipoId">
                        <div style="font-size: smaller !important;"
                          *ngIf="suaExcelForm.get('excelTipoId').hasError(validation.type) && (suaExcelForm.get('excelTipoId').dirty || suaExcelForm.get('excelTipoId').touched)">
                          {{validation.message}}
                        </div>
                      </div>
                    </div>
                  </div>

                  <div class="form-group col-md-6 required">
                    <label for="excelColumnaId" class="col-form-label">Columna:</label>

                    <ng-autocomplete style="width: 100%;
                  " [(ngModel)]="ngExcelColumna" name="excelColumnaId" formControlName="excelColumnaId"
                      [data]="excelList" [searchKeyword]="keyword" placeholder="Ingresa el nombre de la columna"
                      [itemTemplate]="itemTemplate" [notFoundTemplate]="notFoundTemplate">
                    </ng-autocomplete>


                    <ng-template #itemTemplate let-item>
                      <a [innerHTML]="item.excelColumnaNombre"></a>
                    </ng-template>

                    <ng-template #notFoundTemplate let-notFound>

                      <b>No se encontro el registro</b>
                    </ng-template>

                    <div class="alert-danger"
                      *ngIf="excelColumnaId.invalid && (excelColumnaId.dirty || excelColumnaId.touched)">

                      <div *ngFor="let validation of user_validation_messages.excelColumnaId">
                        <div style="font-size: smaller !important;"
                          *ngIf="suaExcelForm.get('excelColumnaId').hasError(validation.type) && (suaExcelForm.get('excelColumnaId').dirty || suaExcelForm.get('excelColumnaId').touched)">
                          {{validation.message}}
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="agregar">
                  <button (click)="agregarLinea(formSuaExcel)" class="btn btn-primary">Agregar</button>
                </div>

                <div>
                  <h2>Columnas</h2>
                  <table class="table table-hover">
                    <tr>
                      <th>No.</th>
                      <th>Archivo</th>
                      <th>Columna</th>
                      <th scope="col">&nbsp;</th>
                    </tr>
                    <tr *ngFor="let item of suaExcel ; let id = index">
                      <th>{{id+1}}</th>
                      <th>{{item.excelTipo.excelNombre}}</th>
                      <th>{{item.excelColumna.excelColumnaNombre}}</th>
                      <th>
                        <button class="btn btn-danger" (click)="quitarLinea(id)">Eliminar</button>
                      </th>
                    </tr>
                  </table>
                </div>

                <div class="modal-footer">
                  <button type="button" (click)="limpiar()" class="btn btn-secondary">Limpiar</button>
                  <button (click)="agregarNivel(formSuaNivel)" class="btn btn-primary form-actions">Guardar</button>
                </div>

              </form>
            </div>
          </div>
        </div>
        <div>
          <h2>Niveles</h2>
          <table class="table table-hover">
            <tr *ngFor="let item of configuracionSuaNivel ; let id = index">
              <table class="table table-hover">
                <tr>
                  <th width="10%">{{id+1}} </th>
                  <th width="20%">{{item.confSuaNNombre}}</th>
                  <th width="30%" scope="col">&nbsp;</th>
                  <button style="margin: 5%" width="30%" (click)="quitarNivel(id)"
                    class="btn btn-danger">Eliminar</button>
                  <button width="30%" (click)="actualzarNivel(item, id)" class="btn btn-info">Actualizar</button>
                </tr>

                <tr *ngFor="let itemSua of item.suaExcel ; let id = index">
                  <th scope="col">&nbsp;</th>
                  <td>{{id+1}}</td>
                  <td>{{itemSua.excelTipo.excelNombre}}</td>
                  <td>{{itemSua.excelColumna.excelColumnaNombre}}</td>
                </tr>
              </table>


            </tr>
          </table>
        </div>

        <div class="modal-footer">
          <button type="button" (click)="CerrarMSua(formSua,formSuaNivel,formSuaExcel)" class="btn btn-secondary"
            #btnClose data-dismiss="modal">Cerrar</button>
          <button (click)="guardarConfiguracion(formSua,formSuaNivel,formSuaExcel)"
            class="btn btn-primary form-actions">Guardar configuración</button>
        </div>
      </div>

    </div>
  </div>
</div>